import * as $dara from '@darabonba/typescript';
import { ValidateHcWarningsResponseBody } from "./ValidateHcWarningsResponseBody";
export declare class ValidateHcWarningsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ValidateHcWarningsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
